Package org.apache.catalina.startup

# Class HomesUserDatabase

java.lang.Object
org.apache.catalina.startup.HomesUserDatabase

All Implemented Interfaces:
  `UserDatabase`

public final class HomesUserDatabase extends Object implements UserDatabase
Concrete implementation of the `UserDatabase` interface considers all directories in a directory whose pathname is specified to our constructor to be "home" directories for those users.

Author:
  Craig R. McClanahan

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HomesUserDatabase()`
  Initialize a new instance of this user database component.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHome(String user)`
  Return an absolute pathname to the home directory for the specified user.
  `UserConfig`
  `getUserConfig()`
  Return the UserConfig listener with which we are associated.
  `Enumeration<String>`
  `getUsers()`
  Return an enumeration of the user names defined on this server.
  `void`
  `setUserConfig(UserConfig userConfig)`
  Set the UserConfig listener with which we are associated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HomesUserDatabase

    public HomesUserDatabase()
    Initialize a new instance of this user database component.

- ## Method Details

  - ### getUserConfig

    public UserConfig getUserConfig()
    Return the UserConfig listener with which we are associated.
    Specified by:
      `getUserConfig` in interface `UserDatabase`
    Returns:
      the UserConfig listener with which we are associated.

  - ### setUserConfig

    public void setUserConfig(UserConfig userConfig)
    Set the UserConfig listener with which we are associated.
    Specified by:
      `setUserConfig` in interface `UserDatabase`
    Parameters:
      `userConfig` - The new UserConfig listener

  - ### getHome

    public String getHome(String user)
    Return an absolute pathname to the home directory for the specified user.
    Specified by:
      `getHome` in interface `UserDatabase`
    Parameters:
      `user` - User for which a home directory should be retrieved
    Returns:
      an absolute pathname to the home directory for the specified user.

  - ### getUsers

    public Enumeration<String> getUsers()
    Return an enumeration of the user names defined on this server.
    Specified by:
      `getUsers` in interface `UserDatabase`
    Returns:
      an enumeration of the usernames defined on this server.